Skip to main content
PUT
/
{env_id}
/
{flow_id}
/
{tenant}
/
linkedSources
/
state
Set source state
curl --request PUT \
  --url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/linkedSources/state \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "state": {}
}'
import requests

url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/linkedSources/state"

payload = { "state": {} }
headers = {
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({state: {}})
};

fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/linkedSources/state', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}
{}

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required

ID of environment

flow_id
string
required

ID of flow

tenant
string
required

ID of tenant

Query Parameters

tap_name
string
required

Name of tap to update

Body

application/json
state
object

State object containing bookmark timestamps

Response

200

The response is of type object.